/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2003-2011 by Dolby Laboratories. All rights reserved.

    Description: Circular delay line

    Date: $Date$

    Revision: $Revision$

***************************************************************************/

#ifndef _CIRCDELAY_H
#define _CIRCDELAY_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include <stddef.h>

/* Public prototypes */
size_t          dly_query_mem_size(unsigned int length);
int             dly_init(void *p_inst, size_t num_bytes, unsigned int length);

void            dly_write_samples(void *p_inst, float *p_samples, unsigned int sample_count);
void            dly_read_samples(void *p_inst, float *p_samples, unsigned int sample_count);

unsigned int    dly_samples_available(void *p_inst);
unsigned int    dly_space_available(void *p_inst);

#ifdef __cplusplus
}
#endif

#endif /* _CIRCDELAY_H */
