/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2011 by Dolby Laboratories. All rights reserved.

    Description: Error handling routines

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _ERROR_H
#define _ERROR_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef _DEBUG
/* This error handler uses assert() to catch errors.  It it recognized that assert() is
 * sometimes not the most appropriate option for an error handler.  This macro can be
 * modified to use a custom error handler instead.
 */
#include <assert.h>
#define ERR_CHECKARG(x)     assert(x)
#else
#define ERR_CHECKARG(x)
#endif

#ifdef __cplusplus
}
#endif

#endif
