/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2003-2011 by Dolby Laboratories. All rights reserved.

    Description: Long rhythmic measure header file

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _LRM_H
#define _LRM_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include <stddef.h>
#include "di.h"

/* Defines */
#define LRM_BLOCK_SIZE          256             /* Feature block sizes, in samples */

/* Public prototypes */
size_t  lrm_query_mem_size(void);
int     lrm_init(void *p_inst, size_t num_bytes);
int     lrm_process_block(void *p_inst, float *p_audio, int num_samples);
float   lrm_process_feature_frame(void *p_inst);

#ifdef __cplusplus
}
#endif

#endif /* _LRM_H */
