/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2003-2011 by Dolby Laboratories. All rights reserved.

    Description: Sample rate converter header file

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _SRC_H
#define _SRC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include <stddef.h>

/* Defines */
#define SRC_FILT_LEN_48_16      193     /* Filter length for 48->16kHz conversion */
#define SRC_FILT_LEN_441_16     28225   /* Filter length for 44.1->16kHz conversion */
#define SRC_FILT_LEN_32_16      129     /* Filter length for 32->16kHz conversion */

/* Public prototypes */
size_t          src_query_mem_size(unsigned int fs_in, unsigned int fs_out, unsigned int output_size, unsigned int *max_input_size);
int             src_init(void *p_inst, size_t num_bytes, unsigned int output_buffer_size, unsigned int fs_in, unsigned int fs_out);
unsigned int    src_get_input_length(void *p_inst);
int             src_process(void *p_inst, unsigned int input_length, float *p_input, float *p_output);

#ifdef __cplusplus
}
#endif

#endif /* _SRC_H */
