/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2003-2011 by Dolby Laboratories. All rights reserved.

    Description: Zero crossing skew header file

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _ZCS_H
#define _ZCS_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include <stddef.h>
#include "di.h"

/* Defines */
#define ZCS_BLOCK_SIZE          256         /* Feature block sizes, in samples */

/* Public prototypes */
size_t  zcs_query_mem_size(void);
int     zcs_init(void *p_inst, size_t num_bytes);
int     zcs_process_block(void *p_inst, float *p_audio, int num_samples);
float   zcs_process_feature_frame(void *p_inst);

#ifdef __cplusplus
}
#endif

#endif /* _ZCS_H */
